-module(backend).
-compile([no_auto_import, nowarn_unused_vars, nowarn_unused_function, nowarn_nomatch]).

-export([main/0]).

-spec main() -> nil.
main() ->
    case erlang:element(4, argv:load()) of
        [<<"create"/utf8>>] ->
            db@create:create_db();

        _ ->
            server@server:start()
    end.
